void Zbenchs()
{
//=========Macro printing the ROOT ZEBRA HBOOK benchs 

   char *slide="Zbenchs";
   InitCanvas(slide);

   TLine *line = new TLine();
   line->SetLineWidth(2);
   TText *text = new TText();
   text->SetTextFont(72);
   text->SetTextColor(1);
   text->SetTextAlign(12);
   text->SetTextSize(0.055);

   title = new TPaveText(3,22.5,17,23.8);
   title->SetFillColor(42);
   title->Draw();
   title->AddText("  ROOT, ZEBRA and HBOOK benchmarks  ");

//______________________________L I N U X_________________________________
   TPad *linux = new TPad("linux","Benchmark table",0.01,0.62,0.99,0.90);
   linux->Draw();
   linux->cd();
   linux->Divide(4,6,0.0001,0.0001,19);

//    Draw left column titles
   text->SetTextFont(62);
   text->SetTextColor(1);
   text->SetTextSize(0.22);
   text->SetTextAlign(21);
   TPad *linux_1 = (TPad*)linux->GetPrimitive("linux_1");
   TPad *linux_2 = (TPad*)linux->GetPrimitive("linux_2");
   TPad *linux_3 = (TPad*)linux->GetPrimitive("linux_3");
   TPad *linux_4 = (TPad*)linux->GetPrimitive("linux_4");
   TPad *linux_5 = (TPad*)linux->GetPrimitive("linux_5");
   TPad *linux_6 = (TPad*)linux->GetPrimitive("linux_6");
   TPad *linux_7 = (TPad*)linux->GetPrimitive("linux_7");
   TPad *linux_8 = (TPad*)linux->GetPrimitive("linux_8");
   TPad *linux_9 = (TPad*)linux->GetPrimitive("linux_9");
   TPad *linux_10 = (TPad*)linux->GetPrimitive("linux_10");
   TPad *linux_11 = (TPad*)linux->GetPrimitive("linux_11");
   TPad *linux_12 = (TPad*)linux->GetPrimitive("linux_12");
   TPad *linux_13 = (TPad*)linux->GetPrimitive("linux_13");
   TPad *linux_14 = (TPad*)linux->GetPrimitive("linux_14");
   TPad *linux_15 = (TPad*)linux->GetPrimitive("linux_15");
   TPad *linux_16 = (TPad*)linux->GetPrimitive("linux_16");
   TPad *linux_17 = (TPad*)linux->GetPrimitive("linux_17");
   TPad *linux_18 = (TPad*)linux->GetPrimitive("linux_18");
   TPad *linux_19 = (TPad*)linux->GetPrimitive("linux_19");
   TPad *linux_20 = (TPad*)linux->GetPrimitive("linux_20");
   TPad *linux_21 = (TPad*)linux->GetPrimitive("linux_21");
   TPad *linux_22 = (TPad*)linux->GetPrimitive("linux_22");
   TPad *linux_23 = (TPad*)linux->GetPrimitive("linux_23");
   TPad *linux_24 = (TPad*)linux->GetPrimitive("linux_24");

   text->SetTextAlign(22);
   text->SetTextSize(0.42);
   linux_1->SetFillColor(42);
   linux_1->cd();
   text->DrawText(.5,.5,"LINUX");

   linux_5->cd();
   linux_5->SetFillColor(42);

   text->DrawText(.5,.7,"Time to Create");
   text->DrawText(.5,.3,"Structures");

   linux_9->cd();
   linux_9->SetFillColor(42);
   text->DrawText(.5,.7,"Time to Fill");
   text->DrawText(.5,.3,"Histograms");

   linux_13->cd();
   linux_13->SetFillColor(42);
   text->DrawText(.5,.5,"Real Time to Write");
   text->DrawText(.5,.3," ");

   linux_17->cd();
   linux_17->SetFillColor(42);
   text->DrawText(.5,.5,"Real Time to Read");
   text->DrawText(.5,.3," ");

   linux_21->cd();
   linux_21->SetFillColor(42);
   text->DrawText(.5,.7,"File Size");
   text->DrawText(.5,.3,"(Mbytes)");


//    Draw top text
   text->SetTextAlign(22);
   text->SetTextSize(0.45);

   linux_2->cd();
   linux_2->SetFillColor(42);
   text->DrawText(.5,.5,"ROOT");

   linux_3->cd();
   linux_3->SetFillColor(42);
   text->DrawText(.5,.5,"Zebra RZ");

   linux_4->cd();
   linux_4->SetFillColor(42);
   text->DrawText(.5,.5,"Zebra FZ");

//  Draw comp=0, split=0 columns
   text->SetTextSize(0.53);
   linux_6->cd();
   text->DrawText(.5,.5,"119s");

   linux_7->cd();
   text->DrawText(.5,.5,"137s");

   linux_8->cd();
   text->DrawText(.5,.5,"137s");

//  Draw comp=0, split=1 columns
   linux_10->cd();
   text->DrawText(.5,.5,"130s");

   linux_11->cd();
   text->DrawText(.5,.5,"200s");

   linux_12->cd();
   text->DrawText(.5,.5,"200s");


//  Draw comp=1, split=1 columns
   linux_14->cd();
   text->DrawText(.5,.5,"81s");

   linux_15->cd();
   text->DrawText(.5,.5,"146s");

   linux_16->cd();
   text->DrawText(.5,.5,"116s");


//  Draw comp=1, split=0 columns
   linux_18->cd();
   text->DrawText(.5,.5,"75s");

   linux_19->cd();
   text->DrawText(.5,.5,"103s");

   linux_20->cd();
   text->DrawText(.5,.5,"89s");

//  Draw comp=2, split=1 columns
   linux_22->cd();
   text->DrawText(.5,.5,"482");

   linux_23->cd();
   text->DrawText(.5,.5,"679");

   linux_24->cd();
   text->DrawText(.5,.5,"679");
//______________________________W I N D O W S / N T_________________________________
   c1->cd();
   TPad *windows = new TPad("windows","Benchmark table",0.01,0.32,0.99,0.60);
   windows->Draw();
   windows->cd();
   windows->Divide(4,6,0.0001,0.0001,19);

//    Draw left column titles
   text->SetTextFont(62);
   text->SetTextColor(1);
   text->SetTextSize(0.22);
   text->SetTextAlign(21);
   TPad *windows_1 = (TPad*)windows->GetPrimitive("windows_1");
   TPad *windows_2 = (TPad*)windows->GetPrimitive("windows_2");
   TPad *windows_3 = (TPad*)windows->GetPrimitive("windows_3");
   TPad *windows_4 = (TPad*)windows->GetPrimitive("windows_4");
   TPad *windows_5 = (TPad*)windows->GetPrimitive("windows_5");
   TPad *windows_6 = (TPad*)windows->GetPrimitive("windows_6");
   TPad *windows_7 = (TPad*)windows->GetPrimitive("windows_7");
   TPad *windows_8 = (TPad*)windows->GetPrimitive("windows_8");
   TPad *windows_9 = (TPad*)windows->GetPrimitive("windows_9");
   TPad *windows_10 = (TPad*)windows->GetPrimitive("windows_10");
   TPad *windows_11 = (TPad*)windows->GetPrimitive("windows_11");
   TPad *windows_12 = (TPad*)windows->GetPrimitive("windows_12");
   TPad *windows_13 = (TPad*)windows->GetPrimitive("windows_13");
   TPad *windows_14 = (TPad*)windows->GetPrimitive("windows_14");
   TPad *windows_15 = (TPad*)windows->GetPrimitive("windows_15");
   TPad *windows_16 = (TPad*)windows->GetPrimitive("windows_16");
   TPad *windows_17 = (TPad*)windows->GetPrimitive("windows_17");
   TPad *windows_18 = (TPad*)windows->GetPrimitive("windows_18");
   TPad *windows_19 = (TPad*)windows->GetPrimitive("windows_19");
   TPad *windows_20 = (TPad*)windows->GetPrimitive("windows_20");
   TPad *windows_21 = (TPad*)windows->GetPrimitive("windows_21");
   TPad *windows_22 = (TPad*)windows->GetPrimitive("windows_22");
   TPad *windows_23 = (TPad*)windows->GetPrimitive("windows_23");
   TPad *windows_24 = (TPad*)windows->GetPrimitive("windows_24");

   text->SetTextAlign(22);
   text->SetTextSize(0.42);
   windows_1->SetFillColor(42);
   windows_1->cd();
   text->DrawText(.5,.5,"WINDOWS/NT");

   windows_5->cd();
   windows_5->SetFillColor(42);

   text->DrawText(.5,.7,"Time to Create");
   text->DrawText(.5,.3,"Structures");

   windows_9->cd();
   windows_9->SetFillColor(42);
   text->DrawText(.5,.7,"Time to Fill");
   text->DrawText(.5,.3,"Histograms");

   windows_13->cd();
   windows_13->SetFillColor(42);
   text->DrawText(.5,.5,"Real Time to Write");
   text->DrawText(.5,.3," ");

   windows_17->cd();
   windows_17->SetFillColor(42);
   text->DrawText(.5,.5,"Real Time to Read");
   text->DrawText(.5,.3," ");

   windows_21->cd();
   windows_21->SetFillColor(42);
   text->DrawText(.5,.7,"File Size");
   text->DrawText(.5,.3,"(Mbytes)");


//    Draw top text
   text->SetTextAlign(22);
   text->SetTextSize(0.45);

   windows_2->cd();
   windows_2->SetFillColor(42);
   text->DrawText(.5,.5,"ROOT");

   windows_3->cd();
   windows_3->SetFillColor(42);
   text->DrawText(.5,.7,"Zebra RZ");
   text->DrawText(.5,.3,"96a, 96aOpt, Watcom");

   windows_4->cd();
   windows_4->SetFillColor(42);
   text->DrawText(.5,.7,"Zebra FZ");
   text->DrawText(.5,.3,"96a, 96aOpt, Watcom");

//  Draw comp=0, split=0 columns
   text->SetTextSize(0.53);
   windows_6->cd();
   text->DrawText(.5,.5,"90s");

   windows_7->cd();
   text->DrawText(.5,.5,"222, 104, 122s");

   windows_8->cd();
   text->DrawText(.5,.5,"222, 104, 122s");

//  Draw comp=0, split=1 columns
   windows_10->cd();
   text->DrawText(.5,.5,"91s");

   windows_11->cd();
   text->DrawText(.5,.5,"878, 867, 223s");

   windows_12->cd();
   text->DrawText(.5,.5,"878, 867, 223s");


//  Draw comp=1, split=1 columns
   windows_14->cd();
   text->DrawText(.5,.5,"99s");

   windows_15->cd();
   text->DrawText(.5,.5,"211,173, 154s");

   windows_16->cd();
   text->DrawText(.5,.5,"122, 90, 114s");


//  Draw comp=1, split=0 columns
   windows_18->cd();
   text->DrawText(.5,.5,"73s");

   windows_19->cd();
   text->DrawText(.5,.5,"215, 155, 149s");

   windows_20->cd();
   text->DrawText(.5,.5,"157, 105, 116s");

//  Draw comp=2, split=1 columns
   windows_22->cd();
   text->DrawText(.5,.5,"482");

   windows_23->cd();
   text->DrawText(.5,.5,"679");

   windows_24->cd();
   text->DrawText(.5,.5,"679");
//______________________________S O L A R I S  P C_________________________________
   c1->cd();
   TPad *solaris = new TPad("solaris","Benchmark table",0.01,0.01,0.99,0.30);
   solaris->Draw();
   solaris->cd();
   solaris->Divide(4,6,0.0001,0.0001,19);

//    Draw left column titles
   text->SetTextFont(62);
   text->SetTextColor(1);
   text->SetTextSize(0.22);
   text->SetTextAlign(21);
   TPad *solaris_1 = (TPad*)solaris->GetPrimitive("solaris_1");
   TPad *solaris_2 = (TPad*)solaris->GetPrimitive("solaris_2");
   TPad *solaris_3 = (TPad*)solaris->GetPrimitive("solaris_3");
   TPad *solaris_4 = (TPad*)solaris->GetPrimitive("solaris_4");
   TPad *solaris_5 = (TPad*)solaris->GetPrimitive("solaris_5");
   TPad *solaris_6 = (TPad*)solaris->GetPrimitive("solaris_6");
   TPad *solaris_7 = (TPad*)solaris->GetPrimitive("solaris_7");
   TPad *solaris_8 = (TPad*)solaris->GetPrimitive("solaris_8");
   TPad *solaris_9 = (TPad*)solaris->GetPrimitive("solaris_9");
   TPad *solaris_10 = (TPad*)solaris->GetPrimitive("solaris_10");
   TPad *solaris_11 = (TPad*)solaris->GetPrimitive("solaris_11");
   TPad *solaris_12 = (TPad*)solaris->GetPrimitive("solaris_12");
   TPad *solaris_13 = (TPad*)solaris->GetPrimitive("solaris_13");
   TPad *solaris_14 = (TPad*)solaris->GetPrimitive("solaris_14");
   TPad *solaris_15 = (TPad*)solaris->GetPrimitive("solaris_15");
   TPad *solaris_16 = (TPad*)solaris->GetPrimitive("solaris_16");
   TPad *solaris_17 = (TPad*)solaris->GetPrimitive("solaris_17");
   TPad *solaris_18 = (TPad*)solaris->GetPrimitive("solaris_18");
   TPad *solaris_19 = (TPad*)solaris->GetPrimitive("solaris_19");
   TPad *solaris_20 = (TPad*)solaris->GetPrimitive("solaris_20");
   TPad *solaris_21 = (TPad*)solaris->GetPrimitive("solaris_21");
   TPad *solaris_22 = (TPad*)solaris->GetPrimitive("solaris_22");
   TPad *solaris_23 = (TPad*)solaris->GetPrimitive("solaris_23");
   TPad *solaris_24 = (TPad*)solaris->GetPrimitive("solaris_24");

   text->SetTextAlign(22);
   text->SetTextSize(0.42);
   solaris_1->SetFillColor(42);
   solaris_1->cd();
   text->DrawText(.5,.5,"SOLARIS PC");

   solaris_5->cd();
   solaris_5->SetFillColor(42);

   text->DrawText(.5,.7,"Time to Create");
   text->DrawText(.5,.3,"Structures");

   solaris_9->cd();
   solaris_9->SetFillColor(42);
   text->DrawText(.5,.7,"Time to Fill");
   text->DrawText(.5,.3,"Histograms");

   solaris_13->cd();
   solaris_13->SetFillColor(42);
   text->DrawText(.5,.5,"Real Time to Write");
   text->DrawText(.5,.3," ");

   solaris_17->cd();
   solaris_17->SetFillColor(42);
   text->DrawText(.5,.5,"Real Time to Read");
   text->DrawText(.5,.3," ");

   solaris_21->cd();
   solaris_21->SetFillColor(42);
   text->DrawText(.5,.7,"File Size");
   text->DrawText(.5,.3,"(Mbytes)");


//    Draw top text
   text->SetTextAlign(22);
   text->SetTextSize(0.45);

   solaris_2->cd();
   solaris_2->SetFillColor(42);
   text->DrawText(.5,.5,"ROOT");

   solaris_3->cd();
   solaris_3->SetFillColor(42);
   text->DrawText(.5,.5,"Zebra RZ");

   solaris_4->cd();
   solaris_4->SetFillColor(42);
   text->DrawText(.5,.5,"Zebra FZ");

//  Draw comp=0, split=0 columns
   text->SetTextSize(0.53);
   solaris_6->cd();
   text->DrawText(.5,.5,"164s");

   solaris_7->cd();
   text->DrawText(.5,.5,"176s");

   solaris_8->cd();
   text->DrawText(.5,.5,"176s");

//  Draw comp=0, split=1 columns
   solaris_10->cd();
   text->DrawText(.5,.5,"144s");

   solaris_11->cd();
   text->DrawText(.5,.5,"264s");

   solaris_12->cd();
   text->DrawText(.5,.5,"264s");


//  Draw comp=1, split=1 columns
   solaris_14->cd();
   text->DrawText(.5,.5,"86s");

   solaris_15->cd();
   text->DrawText(.5,.5,"124s");

   solaris_16->cd();
   text->DrawText(.5,.5,"108s");


//  Draw comp=1, split=0 columns
   solaris_18->cd();
   text->DrawText(.5,.5,"170s");

   solaris_19->cd();
   text->DrawText(.5,.5,"260s");

   solaris_20->cd();
   text->DrawText(.5,.5,"284s");

//  Draw comp=2, split=1 columns
   solaris_22->cd();
   text->DrawText(.5,.5,"482");

   solaris_23->cd();
   text->DrawText(.5,.5,"679");

   solaris_24->cd();
   text->DrawText(.5,.5,"679");

   Signe(slide);
}
